/*
	File:		CDEFTesterUtils.h

	Contains:	Code to demonstrate creation of many control types.

	Version:	Appearance 1.0 SDK

	Copyright:	© 1997 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Edward Voas

		Other Contact:		7 of 9, Borg Collective

		Technology:			OS Technologies Group

	Writers:

		(MAA)	Matt Ackeret
		(edv)	Ed Voas

	Change History (most recent first):

		 <4>	11/21/97	MAA		Add UserPane
		 <3>	 11/5/97	MAA		Add Tabs
		 <2>	10/28/97	MAA		add CreateEditText, CreateStaticText, CreateSlider, and
									CreateClock
		 <1>	 9/11/97	edv		First checked in.
*/

#pragma once

#include <Appearance.h>
#include <Controls.h>

extern ControlHandle CreateBevelButton( WindowRef window );
extern ControlHandle CreateChasingArrows( WindowRef window );
extern ControlHandle CreateDivider( WindowRef window );
extern ControlHandle CreateTriangle( WindowRef window );
extern ControlHandle CreateFinderHeader( WindowRef window );
extern ControlHandle CreateIconCDEF( WindowRef window );
extern ControlHandle CreatePictureCDEF( WindowRef window );
extern ControlHandle CreateProgressBar( WindowRef window );
extern ControlHandle CreateLittleArrows( WindowRef window );
extern ControlHandle CreateGroupBox( WindowRef window );
extern ControlHandle CreatePlacard( WindowRef window );
extern ControlHandle CreatePopupArrow( WindowRef window );
extern ControlHandle CreateScrollBar( WindowRef window );
extern ControlHandle CreateImageWell( WindowRef window );
extern ControlHandle CreatePushButton( WindowRef window );
extern ControlHandle CreateCheckBox( WindowRef window );
extern ControlHandle CreateRadioButton( WindowRef window );
extern ControlHandle CreateEditText(WindowRef window);
extern ControlHandle CreateStaticText(WindowRef window);
extern ControlHandle CreateSlider(WindowRef window);
extern ControlHandle CreateClock(WindowRef window);
extern ControlHandle CreateTabs(WindowRef window);
extern ControlHandle CreateUserPane(WindowRef window);

extern pascal ControlKeyFilterResult NumericFilter( ControlHandle control, SInt16* keyCode, SInt16* charCode, SInt16* modifiers );
